from cloud_resources import cdn_catalyst

from algowrap import credentials as creds
from algowrap import error_handler as eh
from algowrap import err_constants as err_cnsts


def get_userinput_signed_url(s3_key):
    """
    generate_user_put_presigned_url
    """
    url_prepender = creds.USER_INPUT_CF_URL
    url = url_prepender + s3_key

    return cdn_catalyst.sign_url(url, creds.SIGNING_PUBLIC_KEY)


def get_iterationoutput_signed_url(s3_key):
    """
    generate_iteration_put_presigned_url
    """
    url_prepender = creds.ITER_OUTPUT_CF_URL
    url = url_prepender + s3_key

    return cdn_catalyst.sign_url(url, creds.SIGNING_PUBLIC_KEY)


def generate_presigned_url(s3_key, bucket_name):
    presigned_url = None
    if bucket_name == creds.ITER_OUTPUT_S3_BUCKET:
        presigned_url = get_iterationoutput_signed_url(s3_key)
    elif bucket_name == creds.USER_INPUT_S3_BUCKET:
        presigned_url = get_userinput_signed_url(s3_key)
    else:
        raise eh.InvalidInputError(err_cnsts.S3ERR1_INVALID_S3_BUCKET)

    return presigned_url
