BASE_ERR = "PERR1: An error occured. Please try again later."
BASE_ERROR_CODE = "PERR2: "
BASE_SOME_ERROR = "PERR3: Some error has occured."

#Input errors
INPUTERR1_PROCESS_INPUT_ERR = "INPUTERR1: Error while validating and processing input files."
INPUTERR2_TABLE_PROCESSING_ERROR = "INPUTERR2: Error in getting standard data of metabolites."
INPUTERR3_EXTRACTING_PACKAGES = "INPUTERR3: Error in extracting packages."
INPUTERR4_INVALID_FILE_FORMAT = "INPUTERR4: Only csv/xls/xlsx/txt extensions are allowed."
INPUTERR5_UNCOMMON_ENTRIES = "INPUTERR5: No common entries for {} in {} and {}."
INPUTERR6_MISSING_COLUMNS = "INPUTERR6: Missing Columns: {}."
INPUTERR7_SUBSET_ERROR = "INPUTERR7: {} must be a subset of {}."
INPUTERR8_REPEATED_COLUMN = "INPUTERR8: Only one column should contain the string {}."
INPUTERR9_DIFFERENT_CONCENTRATION_UNITS = "INPUTERR9: Only same unit of concentration for standards is allowed."
INPUTERR10_FILE_EXISTS_ERROR = "INPUTERR10: The file does not exist. Check again."
INPUTERR11_FILE_EMPTY_ERROR = "INPUTERR11: The file is empty. No data to process."
INPUTERR12_INVALID_MAVEN_ERROR = "INPUTERR12: Invalid Maven file type for processing."
INPUTERR13_INVALID_PARAMETER_FILE = "INPUTERR13: Invalid parameter file."
INPUTERR14_INVALID_FILE_ERROR = "INPUTERR14: Invalid File type for processing."
INPUTERR15_INVALID_INPUT = "INPUTERR15: Input to the application is invalid."
INPUTERR16_ALGO_WRAP_ERR_INVALID_INP = "INPUTERR16: Error in AlgoWrapper. Invalid Input"
INPUTERR17_STD_SAMPLE_NOT_FOUND = "INPUTERR17: Std samples not found in {} column."
INPUTERR18_NO_STD_SAMPLE_MQ_COH = 'INPUTERR18: Intensity data for Standard samples is missing.'
INPUTERR19_NO_BIO_SAMPLE_MQ_COH = 'INPUTERR19: Intensity data for biosamples is missing.'

# Algorithm errors
ALGOERR1_UNDEFINED_ALGORITHM = "ALGOERR1: Algorithm Key not passed."
ALGOERR2_ALGORITHM_NOT_FOUND = "ALGOERR2: Error in finding the passed algorithm."
ALGOERR3_ALGORITHM_ERROR = "ALGOERR3: Error in running the selected algorithm."
ALGOERR4_UPLOAD_ERR = "ALGOERR4: Error while uploading the output of algorithm"

#Iteration errors
ITERERR1_INVALID_ITER = "ITERERR1: Invalid iteration type."

#s3 errors
S3ERR1_INVALID_S3_BUCKET = "S3ERR1: Invalid S3 bucket name."
S3ERR2_S3_ERR = "S3ERR2: An S3 operational error has occured"

#Generic errors
URLERR1_URL_WILDCARD_REPL = "URLERR1: URL and the replacer for the wildcard do not match."

# Error log error
LOGERR1_LOG_UPLOAD_ERR = 'LOGERR1: Error while uploading error.log'
LOGERR2_HTTP_REQ_ERR = "LOGERR2: HTTPRequestError has occured"

# Error in na correct
NACORRERR1_NA_CORR_ERR = "NACORRERR1: Error in NA Correction"
NACORRERR2_CORNA_PACK_ERR = "NACORRERR2: Error running CORNA package"

# Error in Algowrap
ALGWRPERR1_ALGO_WRAP_ERR = "ALGWRPERR1: Error in AlgoWrapper"

# Server Error (codes SVRERR1: )
SVRERR30_INVALID_SERVER_RESPONSE = "SVRERR30: Invalid response from server."

#Curve fit errors
CURVE_FIT_MAXFEV = 'QF_ALG_ERR1: This fit type is not available for your dataset. Please try another curve-fitting.'
CURVE_FIT_INPFORMAT = 'QF_INP_ERR2: Uh oh! Something went wrong. Your data seems to contain NaNs or Infinite values. Please replace them with 0 and reupload.'
CURVE_FIT_DEF = 'QF_BASE_ERR3: Uh oh! Something went wrong. We are looking into it. Please reupload your analysis in a while or contact us.'

